import request from '@/utils/request'

// 查询商标列表
export function listTrademark(query) {
  return request({
    url: '/basicData/xcrTrademark/findByPage',
    method: 'get',
    params: query
  })
}

// 查询商标详细
export function getTrademark(xhCodeId) {
  return request({
    url: '/basicData/xcrTrademark/' + xhCodeId,
    method: 'get'
  })
}

// 新增商标
export function addTrademark(data) {
  return request({
    url: '/basicData/xcrTrademark',
    method: 'post',
    data: data
  })
}

// 修改商标
export function updateTrademark(data) {
  return request({
    url: '/basicData/xcrTrademark',
    method: 'put',
    data: data
  })
}

// 删除商标
export function delTrademark(xhCodeId) {
  return request({
    url: '/basicData/xcrTrademark/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delTrademarkBatch(ids) {
  return request.post('/basicData/xcrTrademark/delete',ids)
}
